summaryrefslogtreecommitdiff
path: root/test.sh
diff options
context:
space:
mode:
authorJed Brown <jed@59A2.org>2012-11-25 20:43:19 +0100
committerJed Brown <jed@59A2.org>2012-11-25 20:43:19 +0100
commitd5f924d9f040a49c0d0114b8ef03c6ec3a96bd9c (patch)
tree985232f72aa1df42a1b5196c1e37c42c2888d80c /test.sh
downloadgit-fat-d5f924d9f040a49c0d0114b8ef03c6ec3a96bd9c.tar.gz
initial import
Diffstat (limited to 'test.sh')
-rwxr-xr-xtest.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/test.sh b/test.sh
new file mode 100755
index 0000000..630a9ff
--- /dev/null
+++ b/test.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+set -e
+
+git init fat-test
+cd fat-test
+git fat init
+cat - >> .gitfat <<EOF
+[rsync]
+remote = localhost:/tmp/fat-store
+EOF
+echo '*.fat filter=fat -crlf' > .gitattributes
+git add .gitattributes .gitfat
+git commit -m'Initial fat repository'
+
+echo 'fat content a' > a.fat
+git add a.fat
+git commit -m'add a.fat'
+echo 'fat content b' > b.fat
+git add b.fat
+git commit -m'add b.fat'
+echo 'revise fat content a' > a.fat
+git commit -am'revise a.fat'